> For the complete documentation index, see [llms.txt](https://docs.patascore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patascore.com/customer-operations/register-customer.md).

# Register Customer

## Register Customer

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v1/customer/mfi/register`

This endpoint allows you to register a customer

#### Headers

| Name                                             | Type   | Description                                                    |
| ------------------------------------------------ | ------ | -------------------------------------------------------------- |
| Authentication<mark style="color:red;">\*</mark> | String | Authentication token to track down who is emptying our stocks. |

#### Request Body

| Name                                           | Type   | Description                                            |
| ---------------------------------------------- | ------ | ------------------------------------------------------ |
| full\_name<mark style="color:red;">\*</mark>   | String | Full name                                              |
| national\_id<mark style="color:red;">\*</mark> | String | National ID Number                                     |
| phone<mark style="color:red;">\*</mark>        | String | Phone number                                           |
| location<mark style="color:red;">\*</mark>     | String | County of residence i.e Nairobi,Narok,Kirinyaga        |
| gender<mark style="color:red;">\*</mark>       | String | Gender of the user being registered i.e Male or Female |

{% tabs %}
{% tab title="200 Customer created successfully." %}

```javascript
{
   "status":200,
   "message":"Customer successfully registered",
   "data":{
      "id":132890,
      "full_name":"Anthony Kamau",
      "national_id":"21314151",
      "gender":"Female",
      "phone":"254707888888",
      "date_of_birth":"",
      "date_registered": "13/03/2023 11:18",
      "name":"Anthony Kamau",
      "location":132890,
      "uuid":"c211984f-b5a5-45fb-ae38-9f22fe0465d9",
      "email":""
   }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="JSON Payload" %}

```javascript
{ 
 "full_name": "Anthony Kamau", 
 "national_id": "21314151", 
 "phone": "0707888888",
 "gender": "Female" 
 "location": "Kwale" 
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.patascore.com/customer-operations/register-customer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
